From 71d1686ae91e8f3b719ef1a33f7c1e3f7a1b5c51 Mon Sep 17 00:00:00 2001
From: Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
Date: Tue, 21 May 2019 17:57:29 +0200
Subject: [PATCH 06/21] link libmico.so against detected libraries

Link shared libmico.so against configure detected libraries to avoid
undefined symbols, to let --as-needed linker flag work if forced.
See also: https://bugs.gentoo.org/280678
---
 orb/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/orb/Makefile b/orb/Makefile
index 86b664f..213fe0a 100644
--- a/orb/Makefile
+++ b/orb/Makefile
@@ -30,7 +30,7 @@ CXXFLAGS := -DBUILD_MICO_DLL $(CXXFLAGS)
 endif
 endif
 
-PLATFORM_LIBS =
+PLATFORM_LIBS = $(CONFLIBS)
 ifeq ($(HAVE_CYGWIN), yes)
 ifeq ($(USE_CSL2), yes)
 PLATFORM_LIBS := $(PLATFORM_LIBS) -lssl -lcrypto

